Multivariate Pattern Analysis in Python

# mvpa2.datasets.niml

Support for storage using the NeuroImaging Markup Language (NIML).

Supports storing most typical values (samples, feature attributes, sample attributes, dataset attributes) that are in a dataset in NIML format, as long as these values are array-like.

## Notes

No support for ‘sophisticated’ values such as Mappers

New in version 2.3.0.

Functions

`from_any`(x) | Get a Dataset from the input
`from_niml`(dset[, fa_labels, sa_labels, a_labels]) | Convert a NIML dataset to a Dataset
`hstack`(dsets[, pad_to_feature_index, ...]) | Stacks NIML datasets while considering node indices
`read`(fn) | Read a Dataset from a file in NIML format
`to_niml`(ds) | Convert a Dataset to a NIML dataset
`write`(fn, ds[, form]) | Write a Dataset to a file in NIML format

Classes